.banner-membership-component {
    position: relative;
    top: var(--banner-top-desktop, 0);
    margin-left: -30px;
    margin-right: -30px;
    align-self: stretch;
    border-radius: 8px;
    width: 911px;
}

.banner-membership-component .img-background {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.banner-membership-component .banner-content {
    position: absolute;
    top: var(--banner-content-top-desktop, 39px);
    left: 118px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    gap: 8px;
}

.banner-content .cashback-description,
.banner-content .cashback-description p{
    color: var(--White--Background-White, #FFF);
    font-family: Lato;
    font-size: 15.556px;
    font-style: normal;
    font-weight: 400;
    line-height: 20px;
}

.banner-membership-component .button-container {
    display: flex;
    align-items: flex-end;
    gap: 8px;
}

.button-container .cashback-text,
.button-container .cashback-text p{
    color: var(--White--Background-White, #FFF);
    font-family: "Encode Sans";
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    letter-spacing: -0.36px;
}

.button-container button {
    all: unset;
    cursor: pointer;
}

.button-container .banner-btn {
    color: var(--Brand-Colors-Blue-00, #1B365D);
    font-family: Lato;
    font-size: 13px;
    font-style: normal;
    font-weight: 800;
    line-height: 20px; /* 142.857% */
    text-decoration-line: underline;
    text-decoration-style: solid;
    text-decoration-skip-ink: none;
    text-decoration-thickness: auto;
    text-underline-offset: auto;
    text-underline-position: from-font;
    text-transform: uppercase;
}

@media(max-width: 768px) {
    .banner-membership-component {
        top: 0 !important;
        width: 339px;
        border-radius: 3px;
    }

    .banner-membership-component .banner-content {
        gap: 5px;
        top: 6px !important;
        left: 63px !important;
    }

    .banner-membership-component .cashback-description p {
        font-size: 10px;
        line-height: 8px;
    }

    .banner-membership-component .button-container {
        flex-direction: column;
        justify-content: center;
        align-items: flex-start;
        gap: 3.532px;
        flex-shrink: 0;
        align-self: stretch;
    }

    .banner-membership-component .cashback-text p {
        font-size: 10px;
        letter-spacing: -0.2px;
    }

    .banner-membership-component .banner-btn {
        font-size: 9px;
        line-height: 9px;
    }
}